% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/MAView.R
\docType{methods}
\name{MAView}
\alias{MAView}
\title{MAplot of gene beta scores}
\usage{
MAView(beta, ctrlname = "Control", treatname = "Treatment", main = NULL,
  show.statistics = TRUE, add.smooth = TRUE, lty = 1,
  smooth.col = "red", plot.method = c("auto", "lm", "glm", "gam", "loess"),
  filename = NULL, width = 5, height = 4, ...)
}
\arguments{
\item{beta}{Data frame, including \code{ctrlname} and \code{treatname} as columns.}

\item{ctrlname}{Character vector, specifying the name of control sample.}

\item{treatname}{Character vector, specifying the name of treatment sample.}

\item{main}{As in plot.}

\item{show.statistics}{Show statistics .}

\item{add.smooth}{Whether add a smooth line to the plot.}

\item{lty}{Line type for smooth line.}

\item{smooth.col}{Color of smooth line.}

\item{plot.method}{A string specifying the method to fit smooth line, which should be one of "auto", "lm", "glm", "gam", and "loess".}

\item{filename}{Figure file name to create on disk. Default filename="NULL", which means
don't save the figure on disk.}

\item{width}{As in ggsave.}

\item{height}{As in ggsave.}

\item{...}{Other available parameters in function 'ggsave'.}
}
\value{
plot on current device
}
\description{
MAplot of gene beta scores in Control vs Treatment
}
\note{
See the vignette for an example of MAView.
Note that the source code of \code{MAView} is very simple.
The source can be found by typing \code{MAGeCKFlute:::MAView}
or \code{getMethod("MAView")}, or
browsed on github at \url{https://github.com/WubingZhang/MAGeCKFlute/tree/master/R/MAView.R}
Users should find it easy to customize this function.
}
\examples{
data(MLE_Data)
# Read beta score from gene summary table in MAGeCK MLE results
dd = ReadBeta(MLE_Data, organism="hsa")
MAView(dd, ctrlname = "D7_R1", treatname = "PLX7_R1")

}
\author{
Wubing Zhang
}
